# mns-core-ui-header Change Log

### **5.2.0**
- changes for Burger menu fixes on PDP SNN-193
- Changes for including a new country flag.
- Enabling analytics for L2/L3 Gnav links

### **5.1.3**
- adding kill switch to user segment story for fear and non fear implementations.

### **5.1.1**
- correct shrinkwrap file to include production only dependencies.

### **5.0.14**
- SNN 195: Changes done for segmented search to handle cookie drop and serve search pages based on segments created by business.

### **5.0.10**
- FESK 709: Changed source order of the search box and button so the user can tab from the box to the button

### **5.0.9**
- FESK 734: Change action endpoint for search in order to prevent issue with some search terms & correct problem with autosuggested search queries not being added fully into recent searches

### **5.0.8**
- FESK 735: Correct format of saved recent searches in local storage

### **5.0.7**
- FESK 682: Fix language attribute on country dropdown links
- FESK 695: Use keyboard to access the header
- FESK 698: Change loyaltyApiHost -> globalHeader.loyaltyApiHost

### **5.0.6**
- Updating sign in and register links to go to correct pages
- Fixed bug with type-ahead in search box

### **5.0.4**
- FESK 603: Updating CI pipeline
- FESK 620: User should never be automatically redirected to sparks 

### **5.0.3**
- Level23 flicker fixed

### **5.0.2**
- Fixed key for level 2/3 navigation partial

### **5.0.1**
- Refactor to keep client side configuration internal to the module and is not injected when instantiated form client application any longer

### **5.0.0**
- FESK 466: Increase size of search box on smaller breakpoints
- FESK 467: Arrows updated to new design
- FESK 581: Reviewing readme documentation
- FESK 609: Added visual test for saved items
- FESK 619: Updating visual tests for search box
- FESK 625: Refactoring loyalty API URL to be exposed in header
- Keep any client side config internal to the header client code
- Increase search box font size to prevent zoom on focus in mobile devices

### **4.2.4**
- FESK 591: Tablet search box interaction - focus
- Added button and styles for search clear button

### **4.2.3**
- FESK 569: Sparks header enhancements
- FESK 616: Improvements to recent searches/suggestions
- FESK 624: Remove fear-core-ui dev page

### **4.2.1**
- FESK 613: Tech debt to update window config name, to avoid possible overwriting with similar naming convetions on different pages

### **4.2.0**
- FESK-613: The capability for the sparks dropdown to get information from the sparks API based on environment

### **4.1.3**
- FESK 448: Redirect user to current page after sign in

### **4.1.2**
- FESK 460: fixing background colour of basket on mobile/tablet with more than one item
- FESK 567: adding recent searches to search drop down
- FESK 571: adding Sparks link to tablet view
- FESK 579: fixed SASS linting issues
- Added acceptance tests

### **4.1.0**
- FESK 520: expose centralised header configuration. For more info see configuration section in README.md

### **4.0.3**
- FESK 541: added Jersey flag to sprite sheet and link in country dropdown
- FESK 570: hide stores pin on landscape tablet
- FESK 572: changed css chevron to icon in the top nav
- FESK 539: fixed L2 mock data
- FESK 580: fixed JS linting issues

### **4.0.1**
- Fixed bug where the adding and removing from the basket was not updating the minibasket count

### **3.8.0**
- Added ability to navigate search suggestions using the keyboard up/dow arrows

### **3.6.8**
- Fix issue where top nav dropdown wouldn't open after L1 has been clicked
- Added comma after "Hi" on Sparks dropdown
- Changed url for bonus offers in Sparks dropdown

### **3.6.7**
- Fix issue where top nav dropdown would stay open when L1 has been clicked on touch devices

### **3.6.6**
- Fix issue where L1 nav was bold on mobile
- Fix hamburger menu on sparks was navigating to another page when it shouldn't
- Fix store finder dropdown still appearing on mobile when should just be a link

### **3.5.31**
- Fix the issue with additional whitespace created to the right of the header on tablet and mobile views

### **3.5.20**
- IE9 styling bug fixes
- removed sparks dropdown feature switch
- improve unit tests
- minibag quantity bug fix

### **3.5.19**
- Changed the xhttp module with xhr-promise module

### **3.5.6**
- Make API consistent for webpack and non-webpack consumption. webpack.dist.js and index.js expose a (Header) Top and (Header) Navigation class that needs to be instantiated.

### **3.3.3**
- Removal of old angular JS files (global-old directory)
- Added in polyfil via babel for Object.assign (needed for IE10 and IE11)


### **3.3.2**
- Styling fixes to top links

### **3.3.0**
- Implements two dev pages
    - fear-core-ui normalization
    - mns-core-ui normalization

These represent a fear page and fesk page for instance and can then run visual tests against the two pages.

### **3.2.2**
Fixed another case sensitive CI issue

### **3.2.1**
Fixed case sensitive CI issue






