module.exports = {
    "sparks":4078,
    "availableSlots":2,
    "availableBonusSlots":1,
    "numberOfOffers":4,
    "numberOfBonusOffers":4,
    "numberOfActivatedOffers":2,
    "allBonusOffers":{
        "BONUS":{
            "slots":[
                {
                    "unlocksAt":null,
                    "freeAt":0,
                    "free":true,
                    "offer":null,
                    "empty":true,
                    "unlocked":true,
                    "available":true
                }
            ],
            "availableSlot":false,
            "offerAvailable":true,
            "unassignedOffers":[
                {
                    "offerId":2362,
                    "offerName":"20% off Hot Drinks in the Café",
                    "offerText":"20% off Hot Drinks in the Café",
                    "imageUrl":"/loyalty/assets/images/dummy/coffee.jpeg",
                    "terms":"INCLUDING: Standard hot drinks. EXCLUDING: Extra shots and other available extras to a standard drink. Valid in participating Marks & Spencer stores in the UK (excluding Channel Islands and BP Connect stores). Offer cannot be used in conjunction with any other M&S discount voucher or code. Offer Cannot be used with any other hot drinks offer. Valid in store on presentation of your Sparks card at the till. Discount applied after all other discounts. Offer can be used more than once in store during the period of validity. Offer strictly non-transferable and cannot be sold or exchanged for cash. Any refunds will take into account the discount. Marks & Spencer reserves the right to reject this voucher with reasonable cause. --This offer can be used with staff discount—",
                    "viewed":false,
                    "redeemed":false,
                    "redeemable":false,
                    "startsAt":"2015-12-30T00:00:00Z",
                    "endsAt":"2016-02-23T11:45:30.845Z",
                    "applicableInstore":true,
                    "applicableOnline":false,
                    "activated":false,
                    "activatable":true,
                    "buyUrl":"//www.marksandspencer.com",
                    "type":"BONUS"
                },
                {
                    "offerId":2363,
                    "offerName":"20% off Swiss Chocolate Bars",
                    "offerText":"20% off Swiss Chocolate Bars",
                    "imageUrl":"/loyalty/assets/images/dummy/chocolate.jpeg",
                    "terms":"INCLUDING: Standard hot drinks. EXCLUDING: Extra shots and other available extras to a standard drink. Valid in participating Marks & Spencer stores in the UK (excluding Channel Islands and BP Connect stores). Offer cannot be used in conjunction with any other M&S discount voucher or code. Offer Cannot be used with any other hot drinks offer. Valid in store on presentation of your Sparks card at the till. Discount applied after all other discounts. Offer can be used more than once in store during the period of validity. Offer strictly non-transferable and cannot be sold or exchanged for cash. Any refunds will take into account the discount. Marks & Spencer reserves the right to reject this voucher with reasonable cause. --This offer can be used with staff discount—",
                    "viewed":false,
                    "redeemed":false,
                    "redeemable":false,
                    "startsAt":"2015-12-30T00:00:00Z",
                    "endsAt":"2016-10-31T23:59:59Z",
                    "applicableInstore":true,
                    "applicableOnline":true,
                    "activated":false,
                    "buyUrl":"//www.marksandspencer.com",
                    "activatable":true,
                    "type":"BONUS"
                }
            ]
        },
        "FRIENDS_AND_FAMILY":{
            "slots":[],
            "unassignedOffers":[],
            "availableSlot":true,
            "offerAvailable":true
        },
        "FRIENDS_AND_FAMILY_STAFF":{
            "slots":[],
            "unassignedOffers":[],
            "availableSlot":true,
            "offerAvailable":true
        }
    },
    "slotted":{
        "slots":[
            {
                "unlocksAt":null,
                "freeAt":0,
                "free":true,
                "offer":null,
                "empty":true,
                "unlocked":true,
                "available":true
            },
            {
                "unlocksAt":null,
                "freeAt":0,
                "free":true,
                "offer":null,
                "empty":true,
                "unlocked":true,
                "available":true
            },
            {
                "offer":{
                    "offerId":3361,
                    "offerName":"20% off Fresh Cod and Haddock",
                    "offerText":"20% off Fresh Cod and Haddock",
                    "imageUrl":"//asset1.cxnmarksandspencer.com/is/image/mandstest/a3e5cd7f795faa4861e8b1a2e1572275dca5cef0?$style_living_600x600$$",
                    "terms":"INCLUDING: Standard hot drinks. EXCLUDING: Extra shots and other available extras to a standard drink. Valid in participating Marks & Spencer stores in the UK (excluding Channel Islands and BP Connect stores). Offer cannot be used in conjunction with any other M&S discount voucher or code. Offer Cannot be used with any other hot drinks offer. Valid in store on presentation of your Sparks card at the till. Discount applied after all other discounts. Offer can be used more than once in store during the period of validity. Offer strictly non-transferable and cannot be sold or exchanged for cash. Any refunds will take into account the discount. Marks & Spencer reserves the right to reject this voucher with reasonable cause. --This offer can be used with staff discount—",
                    "headline":"CATEGORY_TEST",
                    "viewed":false,
                    "redeemed":false,
                    "redeemable":false,
                    "startsAt":"2017-02-11T15:58:05.017Z",
                    "endsAt":"2017-02-18T15:58:05.017Z",
                    "applicableInstore":true,
                    "applicableOnline":false,
                    "activated":true,
                    "activatable":true,
                    "type":"SLOTTED",
                    "buyUrl":"//www.marksandspencer.com"
                },
                "unlocksAt":null,
                "empty":false,
                "available":false,
                "free":false,
                "unlocked":true
            },
            {
                "offer":{
                    "offerId":3362,
                    "offerName":"15% OFF DAVID GANDY FOR AUTOGRAPH LOUNGEWEAR",
                    "offerText":"Take it easy. Our stylish, comfortable David Gandy for Autograph loungewear now has 15% off",
                    "imageUrl":"//asset1.marksandspencer.com/is/image/mandstest/d25731270759823f903d4ef7f60f19253602aeb7?$style_living_600x600$",
                    "terms":"INCLUDING: Standard hot drinks. EXCLUDING: Extra shots and other available extras to a standard drink. Valid in participating Marks & Spencer stores in the UK (excluding Channel Islands and BP Connect stores). Offer cannot be used in conjunction with any other M&S discount voucher or code. Offer Cannot be used with any other hot drinks offer. Valid in store on presentation of your Sparks card at the till. Discount applied after all other discounts. Offer can be used more than once in store during the period of validity. Offer strictly non-transferable and cannot be sold or exchanged for cash. Any refunds will take into account the discount. Marks & Spencer reserves the right to reject this voucher with reasonable cause. --This offer can be used with staff discount—",
                    "viewed":false,
                    "redeemed":false,
                    "startsAt":"2017-02-11T15:58:05.017Z",
                    "endsAt":"2017-02-18T15:58:05.017Z",
                    "applicableInstore":true,
                    "applicableOnline":true,
                    "buyUrl":"//www.marksandspencer.com",
                    "activated":true,
                    "activatable":true,
                    "type":"SLOTTED",
                    "redeemable":false
                },
                "unlocksAt":null,
                "empty":false,
                "available":false,
                "free":false,
                "unlocked":true
            }
        ],
        "unassignedOffers":[
            {
                "offerId":3364,
                "offerName":"20% OFF BEDDING",
                "offerText":"All tucked up. Give your bedroom an instant update with our fresh new duvet sets, plump pillows and soft sheets",
                "imageUrl":"//asset1.marksandspencer.com/is/image/mandstest/90dee8deb18cf39b375d78bcf779742d29e11323?$style_living_600x600$",
                "terms":"EXCLUDING: Sale & clearance items. Image used for illustrative purposes only. Valid in participating Marks & Spencer stores in the UK (excluding Channel Islands, M&S Outlet and BP Connect stores) and online at marksandspencer.com. Offer cannot be used in conjunction with any other M&S discount voucher or online promotion. Valid in store on presentation of your Sparks Card at the till or online. Offer can be used more than once in store and using our in store ordering service within the period of validity. Online offer is valid multiple times at marksandspencer.com, mobile, by phone or touch screen ordering points in store. Offer strictly non-transferable and cannot be sold or exchanged for cash. Any refunds will take into account the discount and your M&S Sparks balance. Discount does not apply to delivery charges. Marks & Spencer reserves the right to reject this voucher with reasonable cause. --This offer can be used with staff discount—",
                "viewed":false,
                "redeemed":false,
                "startsAt":"2015-12-30T00:00:00Z",
                "endsAt":"2016-02-23T11:45:30.845Z",
                "applicableInstore":false,
                "applicableOnline":true,
                "buyUrl":"//www.marksandspencer.com",
                "activated":false,
                "activatable":true,
                "type":"SLOTTED"
            },
            {
                "offerId":3365,
                "offerName":"20% OFF MEN'S FORMAL SHIRTS",
                "offerText":"Buttoned up in crisp cotton and cotton blends, you'd be smart to get men's formal shirts with 20% off",
                "imageUrl":"//asset1.marksandspencer.com/is/image/mandstest/d25731270759823f903d4ef7f60f19253602aeb7?$style_living_600x600$",
                "terms":"EXCLUDING: Made to measure shirts and casual shirts. Image used for illustrative purposes only. Valid in participating Marks & Spencer stores in the UK (excluding Channel Islands, M&S Outlet and BP Connect stores) and online at marksandspencer.com. Offer cannot be used in conjunction with any other M&S discount voucher or online promotion. Valid in store on presentation of your Sparks Card at the till or online. Offer can be used more than once in store and using our in store ordering service within the period of validity. Online offer is valid multiple times at marksandspencer.com, mobile, by phone or touch screen ordering points in store. Offer strictly non-transferable and cannot be sold or exchanged for cash. Any refunds will take into account the discount and your M&S Sparks balance. Discount does not apply to delivery charges. Marks & Spencer reserves the right to reject this voucher with reasonable cause. --This offer can be used with staff discount—",
                "viewed":false,
                "redeemed":false,
                "startsAt":"2015-12-30T00:00:00Z",
                "endsAt":"2015-12-31T23:59:59Z",
                "applicableInstore":true,
                "applicableOnline":true,
                "activated":false,
                "buyUrl":"//www.marksandspencer.com",
                "activatable":true,
                "type":"SLOTTED"
            }
        ]
    },
    "passiveOffers":[],
    "unlocks":{
        "priorityAccess":{
            "unlocksAt":3000,
            "unlocked":true
        },
        "events":{
            "unlocksAt":14000,
            "unlocked":false
        }
    },
    "specialMoment":[]
};
