var mocksRoutes = require('./routes');

function exposeRoutes(server) {
    this.server = server;
}

exposeRoutes.prototype.attachToServer = function () {
    this.server.use(function (req, res, next) {
        if (req.query.storeId === '10451') {
            req.query.mockStoreIdentifier = 'marksandspencerie';
        } else {
            req.query.mockStoreIdentifier = 'marksandspencer';
        }
        res.setHeader('Access-Control-Allow-Origin', '*');
        res.setHeader('Access-Control-Allow-Methods', 'GET, OPTIONS');
        res.setHeader('Access-Control-Allow-Headers', 'X-Requested-With,content-type, Authorization');
        next();
    });

    this.server.use('/', mocksRoutes);

    return this.server;
};

module.exports = exposeRoutes;
