module.exports = {
    countryLinks: [
        {
            imgPath: "Albania",
            name: "AL",
            lang: "EN",
            url: "//www.marksandspencer.com/al/",
            currency: "ALL",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/al/"
                }
            ]
        },
        {
            imgPath: "Australia",
            name: "AU",
            lang: "EN",
            url: "//www.marksandspencer.com/au/",
            currency: "AU$",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/au/"
                }
            ]
        },
        {
            imgPath: "Austria",
            name: "AT",
            lang: "DE",
            url: "//www.marksandspencer.com/at/",
            currency: "€",
            langOptions: [
                {
                    Language: "Deutsch",
                    langId: "DE",
                    URL: "//www.marksandspencer.com/at/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-at/"
                }
            ]
        },
        {
            imgPath: "Bahrain",
            name: "BH",
            lang: "AR",
            url: "//www.marksandspencer.com/bh/",
            currency: "BD",
            langOptions: [
                {
                    Language: "Arabic",
                    langId: "AR",
                    URL: "//www.marksandspencer.com/bh/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-bh/"
                }
            ]
        },
        {
            imgPath: "Belgium",
            name: "BE",
            lang: "FR",
            url: "//www.marksandspencer.com/fr-be/",
            currency: "€",
            langOptions: [
                {
                    Language: "Français",
                    langId: "FR",
                    URL: "//www.marksandspencer.com/fr-be/"
                },
                {
                    Language: "Nederlands",
                    langId: "NL",
                    URL: "//www.marksandspencer.com/nl-be/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-be/"
                }
            ]
        },
        {
            imgPath: "Brunei Darussalam",
            name: "BN",
            lang: "EN",
            url: "//www.marksandspencer.com/bn/",
            currency: "B$",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/bn/"
                }
            ]
        },
        {
            imgPath: "Canada",
            name: "CA",
            lang: "EN",
            url: "//www.marksandspencer.com/ca/",
            currency: "CA$",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/ca/"
                },
                {
                    Language: "Français",
                    langId: "FR",
                    URL: "//www.marksandspencer.com/fr-ca/"
                }
            ]
        },
        {
            imgPath: "Cyprus",
            name: "CY",
            lang: "EN",
            url: "//www.marksandspencer.com/cy/",
            currency: "€",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/cy/"
                }
            ]
        },
        {
            imgPath: "Czech Republic",
            name: "CZ",
            lang: "CS",
            url: "//www.marksandspencer.com/cz/",
            currency: "CZK",
            langOptions: [
                {
                    Language: "Čeština",
                    langId: "CS",
                    URL: "//www.marksandspencer.com/cz/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-cz/"
                }
            ]
        },
        {
            imgPath: "Denmark",
            name: "DK",
            lang: "EN",
            url: "//www.marksandspencer.com/dk/",
            currency: "Dkr",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/dk/"
                }
            ]
        },
        {
            imgPath: "Finland",
            name: "FI",
            lang: "EN",
            url: "//www.marksandspencer.com/fi/",
            currency: "€",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/fi/"
                }
            ]
        },
        {
            imgPath: "France",
            name: "FR",
            lang: "FR",
            url: "//www.marksandspencer.com/fr/",
            currency: "€",
            langOptions: [
                {
                    Language: "Français",
                    langId: "FR",
                    URL: "//www.marksandspencer.com/fr/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-fr/"
                }
            ]
        },
        {
            imgPath: "Germany",
            name: "DE",
            lang: "DE",
            url: "//www.marksandspencer.com/de/",
            currency: "€",
            langOptions: [
                {
                    Language: "Deutsch",
                    langId: "DE",
                    URL: "//www.marksandspencer.com/de/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-de/"
                }
            ]
        },
        {
            imgPath: "Greece",
            name: "GR",
            lang: "EL",
            url: "//www.marksandspencer.com/gr/",
            currency: "€",
            langOptions: [
                {
                    Language: "Eλληνικά",
                    langId: "EL",
                    URL: "//www.marksandspencer.com/gr/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-gr/"
                }
            ]
        },
        {
            imgPath: "Hong Kong S.A.R",
            name: "HK",
            lang: "EN",
            url: "//www.marksandspencer.com/hk/",
            currency: "HK$",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/hk/"
                }
            ]
        },
        {
            imgPath: "Hungary",
            name: "HU",
            lang: "EN",
            url: "//www.marksandspencer.com/hu/",
            currency: "HUF",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/hu/"
                }
            ]
        },
        {
            imgPath: "India",
            name: "IN",
            lang: "EN",
            url: "//www.marksandspencer.in/",
            currency: "₹",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.in/"
                }
            ]
        },
        {
            imgPath: "Israel",
            name: "IL",
            lang: "EN",
            url: "//www.marksandspencer.com/il/",
            currency: "₪",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/il/"
                }
            ]
        },
        {
            imgPath: "Italy",
            name: "IT",
            lang: "EN",
            url: "//www.marksandspencer.com/it/",
            currency: "€",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/it/"
                }
            ]
        },
        {
            imgPath: "Japan",
            name: "JP",
            lang: "EN",
            url: "//www.marksandspencer.com/jp/",
            currency: "￥",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/jp/"
                }
            ]
        },
        {
            imgPath: "Jersey",
            name: "JE",
            lang: "EN",
            url: "//www.marksandspencer.com/je/",
            currency: "£",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/je/"
                }
            ]
        },
        {
            imgPath: "Kuwait",
            name: "KW",
            lang: "EN",
            url: "//www.marksandspencer.com/kw/",
            currency: "KWD",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/kw/"
                },
                {
                    Language: "Arabic",
                    langId: "AR",
                    URL: "//www.marksandspencer.com/ar-kw/"
                }
            ]
        },
        {
            imgPath: "Luxembourg",
            name: "LU",
            lang: "FR",
            url: "//www.marksandspencer.com/lu/",
            currency: "€",
            langOptions: [
                {
                    Language: "Français",
                    langId: "FR",
                    URL: "//www.marksandspencer.com/lu/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-lu/"
                }
            ]
        },
        {
            imgPath: "Malaysia",
            name: "MY",
            lang: "EN",
            url: "//www.marksandspencer.com/my/",
            currency: "MYR",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/my/"
                }
            ]
        },
        {
            imgPath: "Mexico",
            name: "MX",
            lang: "EN",
            url: "//www.marksandspencer.com/en-mx/",
            currency: "MXN",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-mx/"
                }
            ]
        },
        {
            imgPath: "Netherlands",
            name: "NL",
            lang: "NL",
            url: "//www.marksandspencer.com/nl/",
            currency: "€",
            langOptions: [
                {
                    Language: "Nederlands",
                    langId: "NL",
                    URL: "//www.marksandspencer.com/nl/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-nl/"
                }
            ]
        },
        {
            imgPath: "New Zealand",
            name: "NZ",
            lang: "EN",
            url: "//www.marksandspencer.com/nz/",
            currency: "NZ$",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/nz/"
                }
            ]
        },
        {
            imgPath: "Norway",
            name: "NO",
            lang: "EN",
            url: "//www.marksandspencer.com/no/",
            currency: "kr",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/no/"
                }
            ]
        },
        {
            imgPath: "Oman",
            name: "OM",
            lang: "AR",
            url: "//www.marksandspencer.com/om/",
            currency: "OMR",
            langOptions: [
                {
                    Language: "Arabic",
                    langId: "AR",
                    URL: "//www.marksandspencer.com/om/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-om/"
                }
            ]
        },
        {
            imgPath: "Philippines",
            name: "PH",
            lang: "EN",
            url: "//www.marksandspencer.com.ph/",
            currency: "PHP",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com.ph/"
                }
            ]
        },
        {
            imgPath: "Poland",
            name: "PL",
            lang: "EN",
            url: "//www.marksandspencer.com/en-pl/",
            currency: "PLN",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-pl/"
                }
            ]
        },
        {
            imgPath: "Portugal",
            name: "PT",
            lang: "EN",
            url: "//www.marksandspencer.com/pt/",
            currency: "€",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/pt/"
                }
            ]
        },
        {
            imgPath: "Qatar",
            name: "QA",
            lang: "EN",
            url: "//www.marksandspencer.com/qa/",
            currency: "QAR",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/qa/"
                },
                {
                    Language: "Arabic",
                    langId: "AR",
                    URL: "//www.marksandspencer.com/ar-qa/"
                }
            ]
        },
        {
            imgPath: "Russia",
            name: "RU",
            lang: "RU",
            url: "//www.marksandspencer.ru/",
            currency: "RUB",
            langOptions: [
                {
                    Language: "Russian",
                    langId: "RU",
                    URL: "//www.marksandspencer.ru/"
                }
            ]
        },
        {
            imgPath: "Saudi Arabia",
            name: "SA",
            lang: "AR",
            url: "//www.marksandspencer.com/sa/",
            currency: "SAR",
            langOptions: [
                {
                    Language: "Arabic",
                    langId: "AR",
                    URL: "//www.marksandspencer.com/sa/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-sa/"
                }
            ]
        },
        {
            imgPath: "Serbia",
            name: "RS",
            lang: "EN",
            url: "//www.marksandspencer.com/rs/",
            currency: "RSD",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/rs/"
                }
            ]
        },
        {
            imgPath: "Singapore",
            name: "SG",
            lang: "EN",
            url: "//www.marksandspencer.com/sg/",
            currency: "SG$",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/sg/"
                }
            ]
        },
        {
            imgPath: "Spain",
            name: "ES",
            lang: "ES",
            url: "//www.marksandspencer.com/es/",
            currency: "€",
            langOptions: [
                {
                    Language: "Español",
                    langId: "ES",
                    URL: "//www.marksandspencer.com/es/"
                },
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/en-es/"
                }
            ]
        },
        {
            imgPath: "Sweden",
            name: "SE",
            lang: "EN",
            url: "//www.marksandspencer.com/se/",
            currency: "Skr",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/se/"
                }
            ]
        },
        {
            imgPath: "Switzerland",
            name: "CH",
            lang: "EN",
            url: "//www.marksandspencer.com/ch/",
            currency: "Fr.",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/ch/"
                },
                {
                    Language: "Français",
                    langId: "FR",
                    URL: "//www.marksandspencer.com/fr-ch/"
                }
            ]
        },
        {
            imgPath: "Turkey",
            name: "TR",
            lang: "TR",
            url: "//www.marksandspencer.com.tr/",
            currency: "TRY",
            langOptions: [
                {
                    Language: "Turkish",
                    langId: "TR",
                    URL: "//www.marksandspencer.com.tr/"
                }
            ]
        },
        {
            imgPath: "UAE",
            name: "AE",
            lang: "EN",
            url: "//www.marksandspencer.com/ae/",
            currency: "AED",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/ae/"
                },
                {
                    Language: "Arabic",
                    langId: "AR",
                    URL: "//www.marksandspencer.com/ar-ae/"
                }
            ]
        },
        {
            imgPath: "United Kingdom",
            name: "GB",
            lang: "EN",
            url: "//www.marksandspencer.com/",
            currency: "£",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/"
                }
            ]
        },
        {
            imgPath: "United States",
            name: "US",
            lang: "EN",
            url: "//www.marksandspencer.com/us/",
            currency: "$",
            langOptions: [
                {
                    Language: "English",
                    langId: "EN",
                    URL: "//www.marksandspencer.com/us/"
                },
                {
                    Language: "Español",
                    langId: "ES",
                    URL: "//www.marksandspencer.com/es-us/"
                }
            ]
        }
    ],
    countryFlagLink: "https://asset1.cxnmarksandspencer.com/is/image/mandstest/NAV_Flag_Sprite5.jpg?scl=3"
}
