'use strict';
define([], function () {
    return {
        bind: function () {
            this.navAcceptcookie = document.querySelector('.navigation-cookiebbanner__submit');
            this.cookieBanner = document.querySelector('.navigation-cookiebbanner');
            if (this.cookieBanner) {
                this.cookieBanner.style.display = 'block';
            }
            this.hideCookieBanner = this.hideCookieBanner.bind(this);
            this.navAcceptcookie.addEventListener('click', this.hideCookieBanner);
        },
        hideCookieBanner: function () {
            if (typeof utag !== 'undefined' && typeof utag.gdpr !== 'undefined') { // eslint-disable-line no-undef
                utag.gdpr.setConsentValue(1); // eslint-disable-line no-undef
            }
            this.cookieBanner.style.display = 'none';
        }
    };
});