const express = require('express');
const handlers = require('./handlers.js');

const router = express.Router();

router.get('/webapp/wcs/stores/servlet/MSTopNavTier3Cmd', handlers.mockL2Data);
router.get('/loyalty-service/api/offers', handlers.mockLoyaltyData);
router.post('/webapp/wcs/stores/servlet/MSResMiniBasket', handlers.mockMiniBagData);
router.get('/webapp/wcs/stores/servlet/MSAuthToken', handlers.mockAuthToken);
router.post('/webapp/wcs/stores/servlet/MSSavedBasketDisplayCmd', handlers.mockSavedBasketData);
router.get('/webapp/wcs/stores/servlet/MSResCountryLinks', handlers.mockCountryLinksData);
router.get('/webapp/wcs/stores/servlet/MSAutoSuggest', handlers.searchSuggestions);

module.exports = router;
