define(() => {

    function getOverlayDOM() {
        let domEl = document.createElement('div'),
            html = '<div id="iniBagOverlayHeader" class="navigation-minibag-dock-overlay" data-mini-bag-link=".mini-bag-link" data-mini-bag-direction="down" data-mini-bag-align="right">'
                    + '<div class="navigation-dock-overlay__inner">'
                    + '<div class="navigation-minibag-dock-overlay__arr navigation-minibag-dock-overlay__arr--align-right navigation-minibag-dock-overlay__arr--pos-top"></div>'
                    + '</div>'
                    + '<div class="navigation-hdr-mini-bag__cta-links">'
                    + '<a class="navigation-hdr-btn navigation-hdr-btn--secondary navigation-hdr-mini-bag__cta-links--view-bag">view bag</a>'
                    + '<a class="navigation-hdr-btn navigation-hdr-btn--primary navigation-hdr-mini-bag__cta-links--checkout">checkout</a>'
                    + '</div>'
                    + '</div>';

        domEl.innerHTML = html;

        return domEl.children[0];
    }

    function getOverlayTarget() {
        let domEl = document.createElement('a');

        domEl.setAttribute('href', '#');
        domEl.setAttribute('class', 'mini-bag-link');

        return domEl;
    }

    return {
        getOverlayDOM,
        getOverlayTarget
    };
});