define(() => {

    function getSavedItemDOM() {
        let domEl = document.createElement('div'),
            html = '<div class="saved-items">'
                    + '<div class="saved-items-content">Saved Items</div>'
                    + '<div class="saved-items-no-content">No content</div>'
                    + '</div>';

        domEl.innerHTML = html;

        return domEl.children[0];
    }

    function getViewCountEl() {
        let span = document.createElement('span');
        span.className = 'saved-items-view-count';

        return span;
    }


    return {
        getSavedItemDOM,
        getViewCountEl
    };
});